curl --request GET \
--url https://api.meow.com/v1/accounts/{account_id}/transactions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.meow.com/v1/accounts/{account_id}/transactions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.meow.com/v1/accounts/{account_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.meow.com/v1/accounts/{account_id}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.meow.com/v1/accounts/{account_id}/transactions")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meow.com/v1/accounts/{account_id}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meow.com/v1/accounts/{account_id}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const url = 'https://api.meow.com/v1/accounts/{account_id}/transactions';
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.meow.com/v1/accounts/{account_id}/transactions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.meow.com/v1/accounts/{account_id}/transactions")
.get()
.addHeader("x-api-key", "<api-key>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://api.meow.com/v1/accounts/{account_id}/transactions")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-api-key": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))falsefalse$headers=@{}
$headers.Add("x-api-key", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.meow.com/v1/accounts/{account_id}/transactions' -Method GET -Headers $headers{
"transactions": [
{
"depositTransaction": {
"transactionId": "<string>",
"transactionTimestamp": "2023-11-07T05:31:56Z",
"description": "<string>",
"debitCreditMemo": "CREDIT",
"status": "AUTHORIZATION",
"amount": 123,
"currency": {
"currencyCode": "AED"
},
"referenceTransactionId": "<string>",
"postedTimestamp": "2023-11-07T05:31:56Z",
"category": "<string>",
"subCategory": "<string>",
"foreignAmount": 123,
"foreignCurrency": "AED",
"card_id": "<string>",
"transactionType": "ADJUSTMENT",
"payee": "<string>",
"checkNumber": "<string>"
}
}
],
"page": {
"nextOffset": "qwer123454q2f"
}
}{
"code": 123,
"message": "<string>",
"debug_message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}List Transactions for an Account
Returns a list of transactions for a specified account.
Authorizations
Your Meow API key, sent in the x-api-key header for authentication.
Headers
Optional entity_id to scope requests to a specific entity.
Path Parameters
The ID of the account.
Query Parameters
Start time for filtering transactions, in ISO 8601 format.
100End time for filtering transactions, in ISO 8601 format.
100Opaque offset identifier for pagination. Use the nextOffset from a previous response.
100Maximum number of transactions to return.
1 <= x <= 100Filter to a specific transfer method.
INCOMING_ACH, INCOMING_WIRE, OUTGOING_ACH, OUTGOING_WIRE, CHECK_DEPOSIT, BOOK_TRANSFER, ISSUED_CHECK, HOLD, CARD, INTEREST, MANUAL_POST, INTERNATIONAL_PAYMENT, INCOMING_INSTANT_PAYMENT, OUTGOING_INSTANT_PAYMENT, MEOW_INSTANT_NETWORK, INTERNATIONAL_PAYMENT_FEE Find the deposit with this on-chain transaction hash, as reported in a crypto_transfer webhook. Searches every status unless status is also given. Valid for global and bank accounts.
255Filter to one or more transaction statuses, as a list, e.g. ["PENDING", "POSTED"]. Omit to return every status. AUTHORIZATION and MEMO are accepted but currently return no results.
AUTHORIZATION, MEMO, PENDING, POSTED Response
Successful Response
The account's transactions. The transaction shape depends on the account type; this is empty when there are no transactions to return.
- DepositTransactionModel
- InvestmentTransactionModel
- DigitalWalletTransactionModel
Show child attributes
Show child attributes
Metadata for pagination.
Show child attributes
Show child attributes